4 Replies Latest reply: Sep 11, 2014 3:38 PM by kevin.sling RSS

    required plugin SlingPlayer_Plugin_3.3.20.505 is damaged

    raobrien

      required plugin SlingPlayer_Plugin_3.3.20.505 is damaged not add it

       

      suggestions for getting a non corrupted file since you cannot ever actually talk to anyone at slingbox?